S3 Get Object Retention
  • 31 May 2023
  • Dark
    Light

S3 Get Object Retention

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>?retention

Retrieves an object's retention settings. For more information, see Enable Object Lock with the S3-Compatible API.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

retention

Must be present to retrieve object retention settings.

versionId

Optional. Specifies a specific version of the object.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1?retention=null'

Example Response

200 OK

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<Retention xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Mode>COMPLIANCE</Mode>
    <RetainUntilDate>2022-02-02T23:56:06.538Z</RetainUntilDate>
</Retention>


Headers (8)

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

56aa38410aaebdd

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Content-Type

application/xml

Content-Length

578

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?

What's Next